#
# release.py - ORM class for release information stored in the database
#
# Copyright 2012, Red Hat, Inc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Authors:
#   Tim Flink <tflink@redhat.com>


from blockerbugs import db

class Release(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    number = db.Column(db.Integer)
    version = db.Column(db.String(80))
    name = db.Column(db.String(80), unique=True)
    blocker_tracker = db.Column(db.Integer, unique=True)
    accepted_tracker = db.Column(db.Integer, unique=True)
    active = db.Column(db.Boolean)
    last_updated = db.Column(db.DateTime)
    current = db.Column(db.Boolean)

    def __init__(self, number, version, blocker_tracker, accepted_tracker,
                    name, active=False, current=False):
        self.number = number
        self.version = version
        self.blocker_tracker = blocker_tracker
        self.accepted_tracker = accepted_tracker
        self.name = name
        self.active = active
        self.last_updated = None
        self.current = current

    def __repr__(self):
        return "<release: %d-%s>" % (self.number, self.version)
